using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;
using System.Text.Json.Serialization;

namespace Hotline.Share.Dtos.TestPapers
{
    /// <summary>
    /// 试卷组卷规则标签
    /// </summary>
    [Description("试卷组卷规则标签")]
    public class TestPaperRuleTagDto:UpdateTestPaperRuleTagDto
    {

    }

    /// <summary>
    /// 试卷组卷规则标签
    /// </summary>
    [Description("试卷组卷规则标签")]
    public class AddTestPaperRuleTagDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 试卷组卷规则Id
        /// </summary>
        [Description("试卷组卷规则Id")]
        public string TestPaperRuleId { get; set; }

        /// <summary>
        /// 标签Id
        /// </summary>
        [Description("标签Id")]
        public string TagId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        [JsonIgnore]
        public EEOperationStatus OperationStatus { get; set; }
    }

    /// <summary>
    /// 试卷组卷规则标签
    /// </summary>
    [Description("试卷组卷规则标签")]
    public class UpdateTestPaperRuleTagDto : AddTestPaperRuleTagDto,IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
